libzypp: zypp::_logtoolsdetail::DumpKeys< TMap > Class Template Reference

libzypp 17.38.5

zypp::_logtoolsdetail::DumpKeys< TMap > Class Template Reference

std::map wrapper for stream output of keys. More...

`#include <zypp-core/base/LogTools.h>`

## Public Types
using | MapKey_const_iterator = typename MapKVIteratorTraits<TMap>::Key_const_iterator

## Public Member Functions
| DumpKeys (const TMap &map_r)
const TMap & | map () const
MapKey_const_iterator | begin () const
MapKey_const_iterator | end () const

## Private Attributes
const TMap *const | _map

## Related Symbols
(Note that these are not member symbols.)
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpKeys< TMap > &obj)
| Stream output.
template<class TMap>
DumpKeys< TMap > | dumpKeys (const TMap &map_r)
| Convenience function to create DumpKeys from std::map.

## Detailed Description

template<class TMap>
class zypp::_logtoolsdetail::DumpKeys< TMap >

std::map wrapper for stream output of keys.

Uses MapKVIterator iterate and write the key values.

std::map<...> mymap;
std::cout << dumpKeys(mymap) << std::endl;
zypp::_logtoolsdetail::DumpKeys::dumpKeys
DumpKeys< TMap > dumpKeys(const TMap &map_r)
Convenience function to create DumpKeys from std::map.
Definition LogTools.h:641

Definition at line 611 of file LogTools.h.

## Member Typedef Documentation

## ◆ MapKey_const_iterator

template<class TMap>

using zypp::_logtoolsdetail::DumpKeys< TMap >::MapKey_const_iterator = typename MapKVIteratorTraits<TMap>::Key_const_iterator

Definition at line 614 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ DumpKeys()

template<class TMap>

zypp::_logtoolsdetail::DumpKeys< TMap >::DumpKeys | ( | const TMap & | map_r | ) |
| inline

Definition at line 617 of file LogTools.h.

## Member Function Documentation

## ◆ map()

template<class TMap>

const TMap & zypp::_logtoolsdetail::DumpKeys< TMap >::map | ( |  | ) | const
| inline

Definition at line 621 of file LogTools.h.

## ◆ begin()

template<class TMap>

MapKey_const_iterator zypp::_logtoolsdetail::DumpKeys< TMap >::begin | ( |  | ) | const
| inline

Definition at line 624 of file LogTools.h.

## ◆ end()

template<class TMap>

MapKey_const_iterator zypp::_logtoolsdetail::DumpKeys< TMap >::end | ( |  | ) | const
| inline

Definition at line 627 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

template<class TMap>

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DumpKeys< TMap > & | obj )
| related

Stream output.

Definition at line 636 of file LogTools.h.

## ◆ dumpKeys()

template<class TMap>

DumpKeys< TMap > dumpKeys | ( | const TMap & | map_r | ) |
| related

Convenience function to create DumpKeys from std::map.

Definition at line 641 of file LogTools.h.

## Member Data Documentation

## ◆ _map

template<class TMap>

const TMap* const zypp::_logtoolsdetail::DumpKeys< TMap >::_map
| private

Definition at line 631 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp-core/base/LogTools.h